/*
* Template Name: MyPortfolio
* Template URL: https://bootstrapmade.com/myportfolio-bootstrap-portfolio-website-template/
* License: https://bootstrapmade.com/license/
*/

(function ($) {
    "use strict";

    var burgerMenu = function () {
        $('.burger').click(function (e) {
            $(window).scrollTop(0);
            if (!$('.burger').hasClass('active'))
                $('.burger').addClass('active');
            else
                $('.burger').removeClass('active');
        });
    }
    burgerMenu();

    var addOneChild = function (params) {
        var parent = document.getElementById('history-grid');
        var div = document.createElement("div");
        div.className = "item";
        div.id = params.key
        var img = document.createElement("img");
        img.src = `./source/${params.image}`;
        div.appendChild(img);
        var info = document.createElement("div");
        info.className = "work-info";
        let color = params.isabnormal == 1 ? '#FF0000' : '#000000'
        info.innerHTML = `<span style="color: ${color}">${params.temp}</span><br/><span style="color: ${color}">${params.time}</span>\n`
        div.appendChild(info)
        parent.appendChild(div);
    }
    $(window).on('load', function () {
        // siteIstotope();
    });

    $(document).ready(function () {
        //
//        $.getJSON("./data/data.js", function (data) {
            $.each(sourceData, function (infoIndex, info) {
                console.log('----->', info)
                let image = info.image_path_face ? info.image_path_face.split("/") : "";
                addOneChild({
                    key: infoIndex,
                    temp: info.tempurature,
                    time: info.createtime,
                    isabnormal: info.isabnormal,
                    image: image.length > 0 ? image[image.length - 1] : ""
                });
            })
//        })
    })


    var siteOwlCarousel = function () {
        $('.testimonial-carousel').owlCarousel({
            center: true,
            items: 1,
            loop: true,
            margin: 0,
            autoplay: true,
            smartSpeed: 1000,
        });
    };
    siteOwlCarousel();


})(jQuery);

AOS.init({
    easing: 'ease',
    duration: 1000,
    once: true
});
